Bug 757214 - [abrt] ekiga-3.3.2-3.fc16: gconf_engine_get_fuller: Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV)
[abrt] ekiga-3.3.2-3.fc16: gconf_engine_get_fuller: Process /usr/bin/ekiga wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:2f36132e1a70bb25dcd2d2555d9...
:
: 859497 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-25 16:03 EST by Alex Villacís Lasso
Modified: 2013-02-13 15:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:56:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: gconf_subtree (157.76 KB, text/plain)
2011-11-25 16:03 EST, Alex Villacís Lasso
no flags Details
File: dso_list (11.59 KB, text/plain)
2011-11-25 16:03 EST, Alex Villacís Lasso
no flags Details
File: smolt_data (2.77 KB, text/plain)
2011-11-25 16:03 EST, Alex Villacís Lasso
no flags Details
File: maps (51.44 KB, text/plain)
2011-11-25 16:03 EST, Alex Villacís Lasso
no flags Details
File: backtrace (80.83 KB, text/plain)
2011-11-25 16:03 EST, Alex Villacís Lasso
no flags Details
File: backtrace (55.18 KB, text/plain)
2012-01-31 12:06 EST, Stuart D Gathman
no flags Details

  None (edit)
Description Alex Villacís Lasso 2011-11-25 16:03:07 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        ekiga
comment:        Crash on startup. No interface was ever seen.
crash_function: gconf_engine_get_fuller
executable:     /usr/bin/ekiga
kernel:         3.1.2-1.fc16.x86_64
pid:            2238
pwd:            /home/alex
reason:         Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV)
time:           vie 25 nov 2011 15:54:28 ECT
uid:            1000
username:       alex
xsession_errors: 

backtrace:      Text file, 82775 bytes
dso_list:       Text file, 11867 bytes
gconf_subtree:  Text file, 161549 bytes
maps:           Text file, 52676 bytes
smolt_data:     Text file, 2839 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=avillacis.palosanto.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=bdb14f67b09ce394dfdfd4be0000000a-1322254355.841824-1765873985
:GNOME_KEYRING_CONTROL=/tmp/keyring-L3MGy1
:IMSETTINGS_MODULE=none
:USER=alex
:USERNAME=alex
:MAIL=/var/spool/mail/alex
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/alex/bin:/home/alex/android-sdk-linux_86/tools:/home/alex/flex-sdk/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/alex
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1534
:LANG=es_ES.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/alex
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=alex
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-dsfk3vtCo1,guid=7d14ba1cad2f5cc9a0420db700000027
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/alex
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-alex-BES73N/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1538,unix/unix:/tmp/.ICE-unix/1538
:SSH_AUTH_SOCK=/tmp/keyring-L3MGy1/ssh
:GPG_AGENT_INFO=/tmp/keyring-L3MGy1/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1737-avillacis.palosanto.com-ekiga-1_TIME150899
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-ekiga.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2238

var_log_messages:
:Nov 25 12:06:18 avillacis gnome-session[1591]: WARNING: Failed to start app: Unable to start application: Falló al ejecutar el proceso hijo «/usr/bin/ekiga» (No existe el fichero o el directorio)
:Nov 25 12:07:51 avillacis gnome-session[2189]: WARNING: Failed to start app: Unable to start application: Falló al ejecutar el proceso hijo «/usr/bin/ekiga» (No existe el fichero o el directorio)
:Nov 25 12:11:45 avillacis gnome-session[19397]: WARNING: Failed to start app: Unable to start application: Falló al ejecutar el proceso hijo «/usr/bin/ekiga» (No existe el fichero o el directorio)
:Nov 25 13:47:31 avillacis yum[12876]: Installed: ekiga-3.3.2-3.fc16.x86_64
:Nov 25 15:52:50 avillacis kernel: [   53.280127] ekiga[1820]: segfault at 7f0fbaf7347c ip 00007f0fc6d5a06b sp 00007fffdfb94f60 error 4 in libgconf-2.so.4.1.5[7f0fc6d3a000+2f000]
:Nov 25 15:52:50 avillacis abrt[1870]: Saved core dump of pid 1820 (/usr/bin/ekiga) to /var/spool/abrt/ccpp-2011-11-25-15:52:50-1820 (11091968 bytes)
:Nov 25 15:54:28 avillacis kernel: [  151.526329] ekiga[2238]: segfault at 7f584856b47c ip 00007f585414f06b sp 00007fffcd4c5150 error 4 in libgconf-2.so.4.1.5[7f585412f000+2f000]
:Nov 25 15:54:28 avillacis abrt[2251]: Saved core dump of pid 2238 (/usr/bin/ekiga) to /var/spool/abrt/ccpp-2011-11-25-15:54:28-2238 (11091968 bytes)
Comment 1 Alex Villacís Lasso 2011-11-25 16:03:11 EST
Created attachment 536437 [details]
File: gconf_subtree
Comment 2 Alex Villacís Lasso 2011-11-25 16:03:13 EST
Created attachment 536438 [details]
File: dso_list
Comment 3 Alex Villacís Lasso 2011-11-25 16:03:15 EST
Created attachment 536439 [details]
File: smolt_data
Comment 4 Alex Villacís Lasso 2011-11-25 16:03:17 EST
Created attachment 536440 [details]
File: maps
Comment 5 Alex Villacís Lasso 2011-11-25 16:03:19 EST
Created attachment 536441 [details]
File: backtrace
Comment 6 Stuart D Gathman 2012-01-31 12:06:01 EST
Launched Ekiga from menu.

backtrace_rating: 4
Package: ekiga-3.3.2-3.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 7 Stuart D Gathman 2012-01-31 12:06:05 EST
Created attachment 558645 [details]
File: backtrace
Comment 8 Alessandro Selli 2012-12-13 02:49:55 EST
Just launching ekiga fails. On a terminal, I read this only message in debug mode:
ramphan@niraya ~ $ ekiga -d4
Segmentation fault (core dumped)
ramphan@niraya ~ $

This did not happen before 11/12/2012.


backtrace_rating: 4
Package: ekiga-3.9.90-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Stuart D Gathman 2012-12-13 08:34:30 EST
This *may* be a duplicate of bug#859497.  Did you upgrade ekiga?  Does ekiga start when you rename ~/.gconf/apps/ekiga ?  My issue was mixing data between accounts after upgrading, but a core dump while attempting to read the config would be in the same code area, and I got this coredump also at one point.
Comment 10 Alessandro Selli 2012-12-13 13:55:27 EST
(In reply to comment #9)
> This *may* be a duplicate of bug#859497.  Did you upgrade ekiga?  Does ekiga
> start when you rename ~/.gconf/apps/ekiga ?  My issue was mixing data
> between accounts after upgrading, but a core dump while attempting to read
> the config would be in the same code area, and I got this coredump also at
> one point.

All right, first thing I messed up my previous comment. Please disregard the "This did not happen before 11/12/2012." line in Comment #8.

Secondly, yes, moving ~/.gconf/apps/ekiga out of the way does allow ekiga to fire up fine.

I cannot say if this bug might be a duplicate of #859497, as opening up the URI https://bugzilla.redhat.com/show_bug.cgi?id=859497 yields the message: "You are not authorized to access bug #859497."
Comment 11 Stuart D Gathman 2012-12-13 15:51:36 EST
(In reply to comment #10)
> 
> Secondly, yes, moving ~/.gconf/apps/ekiga out of the way does allow ekiga to
> fire up fine.
> 
> I cannot say if this bug might be a duplicate of #859497, as opening up the
> URI https://bugzilla.redhat.com/show_bug.cgi?id=859497 yields the message:
> "You are not authorized to access bug #859497."

Yes, I accidentally revealed my commercial VOIP password, and didn't figure out how to change it for a while.  And now, bugzilla won't let me unlock it.

So, in my case, I got either this core dump, or scrambled config when loading config from a previous version.  I feel strongly enough that I will mark that bug a dup of this (and since I can't unlock it, I'd have to create a new bug anyway).

I saved the old config to try reproducing.  It would be handy if it would still fail after sanitizing the config to remove passwords.
Comment 12 Stuart D Gathman 2012-12-13 15:54:46 EST
Attention bug owner or maintainers: can we get the version changed to 17?  This is still happening in 17, and don't want to get closed by EOL for 16.
Comment 13 Stuart D Gathman 2012-12-13 15:59:50 EST
*** Bug 859497 has been marked as a duplicate of this bug. ***
Comment 14 Eugen Dedu 2012-12-13 16:14:06 EST
This is a bug in gconf and it appears because you have too much entries in call history.  gconf crashes if you ask it to read a very big entry.  For me, it appeared at about 800 entries.  There is a partial commit which fixes this: http://git.gnome.org/browse/ekiga/commit/?id=5d8ca54e8.  Unfortunately, in order to cut the 800 entries to 100, it has to read them all first, and there it crashes.  However, on my machine the crash appeared only sometimes during testing, and once you do not have the crash, the history is cut to 100 and everything runs fine from there on.

Call history entries are found in .gconf/apps/ekiga-snapshot/contacts/%gconf.xml.
Comment 15 Stuart D Gathman 2012-12-13 16:14:40 EST
A recap of what was happening from bug#859497 when it *didn't* core dump: account information (specifically SIP server name) was getting scrambled between accounts, so that enabling acct#1 would start sending REGISTER packets to the server for acct#2 (with wrong id and password, naturally).

This was worked around by renaming the ekiga config, starting new ekiga, quitting, then copying in contacts/%gconf.xml.  You CANNOT copy any files from protocols (where the account info is stored) - or it still crashes or scrambles account info.  You MUST reenter all your account information.  But that is much better than reentering all your contacts.
Comment 16 Stuart D Gathman 2012-12-13 16:16:29 EST
(In reply to comment #14)
> This is a bug in gconf and it appears because you have too much entries in
> call history.  gconf crashes if you ask it to read a very big entry.  For
> me, it appeared at about 800 entries.  There is a partial commit which fixes
> this: http://git.gnome.org/browse/ekiga/commit/?id=5d8ca54e8. 
> Unfortunately, in order to cut the 800 entries to 100, it has to read them
> all first, and there it crashes.  However, on my machine the crash appeared
> only sometimes during testing, and once you do not have the crash, the
> history is cut to 100 and everything runs fine from there on.
> 
> Call history entries are found in
> .gconf/apps/ekiga-snapshot/contacts/%gconf.xml.

So, if I am successful in still reproducing the scrambling problem, I'll just create a new bug.
Comment 17 Eugen Dedu 2012-12-13 16:19:56 EST
Good.

I think the scrambling problem is related to the crash.  As there were too many entries, gconf read out its bounds and the accounts got somehow corrupted.

In order to reproduce the scrambling problem, you have to reduce manually the number of entries in call history and if the scrambling is still there, attach the -d 4 output in a new bug report.
Comment 18 Fedora End Of Life 2013-01-16 11:52:18 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Fedora End Of Life 2013-02-13 15:56:26 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.